RDKit::MolDraw2Dwx Class Reference

`#include <MolDraw2Dwx.h>`

Inheritance diagram for RDKit::MolDraw2Dwx:

## Public Member Functions

| MolDraw2Dwx (int width, int height, wxDC &dc)
void | setFontSize (double new_size)
void | setColour (const DrawColour &col)
void | drawLine (const Point2D &cds1, const Point2D &cds2)
void | drawChar (char c, const Point2D &cds)
void | drawPolygon (const std::vector< Point2D > &cds)
void | clearDrawing ()
void | getStringSize (const std::string &label, double &label_width, double &label_height) const
Public Member Functions inherited from RDKit::MolDraw2D
| MolDraw2D (int width, int height)
virtual | ~MolDraw2D ()
virtual void | drawMolecule (const ROMol &mol, const std::vector< int > *highlight_atoms=NULL, const std::map< int, DrawColour > *highlight_map=NULL, const std::map< int, double > *highlight_radii=NULL, int confId=-1)
virtual void | drawMolecule (const ROMol &mol, const std::vector< int > *highlight_atoms, const std::vector< int > *highlight_bonds, const std::map< int, DrawColour > *highlight_atom_map=NULL, const std::map< int, DrawColour > *highlight_bond_map=NULL, const std::map< int, double > *highlight_radii=NULL, int confId=-1)
virtual Point2D | getDrawCoords (const Point2D &mol_cds) const
virtual Point2D | getDrawCoords (int at_num) const
virtual Point2D | getAtomCoords (const std::pair< int, int > &screen_cds) const
virtual Point2D | getAtomCoords (int at_num) const
virtual int | width () const
virtual int | height () const
virtual double | scale () const
virtual void | calculateScale ()
virtual double | fontSize () const
virtual DrawColour | colour () const
virtual void | setDash (const DashPattern &patt)
virtual const DashPattern & | dash () const
virtual void | setLineWidth (int width)
virtual const int | lineWidth () const
bool | setStringDrawMode (const std::string &instring, int &draw_mode, int &i) const
virtual void | drawString (const std::string &str, const Point2D &cds)
virtual void | drawTriangle (const Point2D &cds1, const Point2D &cds2, const Point2D &cds3)
virtual void | drawEllipse (const Point2D &cds1, const Point2D &cds2)
virtual void | drawRect (const Point2D &cds1, const Point2D &cds2)
virtual void | drawAttachmentLine (const Point2D &cds1, const Point2D &cds2, const DrawColour &col, double len=1.0, unsigned int nSegments=8)
virtual void | tagAtoms (const ROMol &mol)
virtual bool | fillPolys () const
virtual void | setFillPolys (bool val)
MolDrawOptions & | drawOptions ()
const MolDrawOptions & | drawOptions () const
const std::vector< Point2D > & | atomCoords () const
const std::vector< std::pair< std::string, OrientType > > & | atomSyms () const

## Additional Inherited Members

Public Types inherited from RDKit::MolDraw2D
enum | OrientType { C = 0, N, E, S, W }

## Detailed Description

Definition at line 27 of file MolDraw2Dwx.h.

## Constructor & Destructor Documentation

RDKit::MolDraw2Dwx::MolDraw2Dwx | ( | int | width,
|  | int | height,
|  | wxDC & | dc
| ) |  |

inline

Definition at line 31 of file MolDraw2Dwx.h.

## Member Function Documentation

void RDKit::MolDraw2Dwx::clearDrawing | ( |  | ) |

inline virtual

Implements RDKit::MolDraw2D.

Definition at line 85 of file MolDraw2Dwx.h.

References RDKit::MolDraw2D::height(), and RDKit::MolDraw2D::width().

void RDKit::MolDraw2Dwx::drawChar | ( | char | c,
|  | const Point2D & | cds
| ) |  |

inline virtual

Implements RDKit::MolDraw2D.

Definition at line 69 of file MolDraw2Dwx.h.

References RDGeom::Point2D::x, and RDGeom::Point2D::y.

void RDKit::MolDraw2Dwx::drawLine | ( | const Point2D & | cds1,
|  | const Point2D & | cds2
| ) |  |

inline virtual

Implements RDKit::MolDraw2D.

Definition at line 62 of file MolDraw2Dwx.h.

References RDKit::MolDraw2D::getDrawCoords(), RDGeom::Point2D::x, and RDGeom::Point2D::y.

void RDKit::MolDraw2Dwx::drawPolygon | ( | const std::vector< Point2D > & | cds | ) |

inline virtual

Implements RDKit::MolDraw2D.

Definition at line 74 of file MolDraw2Dwx.h.

References RDKit::MolDraw2D::getDrawCoords(), PRECONDITION, RDGeom::Point2D::x, and RDGeom::Point2D::y.

void RDKit::MolDraw2Dwx::getStringSize | ( | const std::string & | label,
|  | double & | label_width,
|  | double & | label_height
| ) |  | const

inline virtual

Implements RDKit::MolDraw2D.

Definition at line 100 of file MolDraw2Dwx.h.

References RDKit::MolDraw2D::height(), RDKit::MolDraw2D::scale(), and RDKit::MolDraw2D::width().

void RDKit::MolDraw2Dwx::setColour | ( | const DrawColour & | col | ) |

inline virtual

Reimplemented from RDKit::MolDraw2D.

Definition at line 50 of file MolDraw2Dwx.h.

References RDKit::MolDraw2D::colour(), and RDKit::MolDraw2D::setColour().

void RDKit::MolDraw2Dwx::setFontSize | ( | double | new_size | ) |

inline virtual

Reimplemented from RDKit::MolDraw2D.

Definition at line 40 of file MolDraw2Dwx.h.

References RDKit::MolDraw2D::fontSize(), RDKit::MolDraw2D::scale(), and RDKit::MolDraw2D::setFontSize().

The documentation for this class was generated from the following file:

- MolDraw2Dwx.h